html,body {
    height: 100%;
}

.wrapper {
    display: flex;
    width: 100%;
    align-items: stretch;
}


.sidebar-helper.active {
    opacity: .8;
    pointer-events: all;
}

.sidebar-helper {
    position: fixed;
    width: 100%;
    height: 100%;
    background: #fff;
    z-index: 9999999998;
    opacity: 0;
    /* filter: blur(5px); */
    border: none;
    pointer-events: none;
    transition: opacity ease-in-out .3s;
}

.blur {
    /* filter: blur(6px); */
}

/* SIDEBAR */
    
    #sidebar {
        min-width: 310px;
        max-width: 310px;
        min-height: 100vh;
        transition: all 0.3s;
        position: fixed;
        z-index: 9999999999;
        background: #004a7c;
    }
    
    #sidebar.active {
        margin-left: -310px;
    }
        
    #sidebar.active > .sidebar-wrapper > .sidebar-buttons #sidebarCollapseClose{
        display: none;
    }

        .sidebar-wrapper {
            position: fixed;
            overflow-y: auto;
            /* height: 100%; */
            height: calc(100% - 50px);
            width: 310px;
            padding: .5rem 10px;
            color: #fff;
        }
        
        .sidebar-wrapper > .sidebar-buttons .hide-sidebar{
            /* float: right; */
        }
        
        .sidebar-wrapper > .sidebar-buttons #logout{
            /*float: right;*/
        }
        
        .sidebar-wrapper > .sidebar-header {
            text-align: center;
            /* margin-bottom: 20px; */
        }
        
        .sidebar-wrapper > .sidebar-header > h4 {
            margin-bottom: 10px;
        }
        
        .sidebar-wrapper > .sidebar-header > h4 > i {
            margin-bottom: 10px;
            display: block;
            font-size: 1.5em;
        }
        
        .sidebar-wrapper > .sidebar-mainmenu li {
            /* background: #f8f9fa;
            color: #333;
            padding: 5px 10px;
            border: 1px #333 solid;
            border-radius: .25rem; */
        }
        
        .sidebar-wrapper > .sidebar-mainmenu li a,
        .sidebar-wrapper > .sidebar-mainmenu li a:hover,
        .sidebar-wrapper > .sidebar-mainmenu li a:focus {
            color: inherit;
            text-decoration: none;
            /* transition: all 0.3s; */
            display: block;
            padding: 3px;
            white-space: inherit;
        }
    
        .sidebar-wrapper > .sidebar-mainmenu li a[data-toggle="collapse"] {
            position: relative;
        }
        
        .sidebar-wrapper > .sidebar-mainmenu li a.dropdown-toggle::after {
            display: block;
            position: absolute;
            top: 50%;
            right: 0px;
            transform: translateY(-50%);
            border-top: .65em solid;
            border-right: .5em solid transparent;
            border-left: .5em solid transparent;
        }
    
        .sidebar-wrapper > .sidebar-mainmenu li a i {
            margin-right: 0px;
            width: 0;
            opacity: 0;
            text-align: center;
            transition: all ease-in-out .3s;
        }
        
        .sidebar-wrapper > .sidebar-mainmenu li a:hover i {
            /* color: #000; */
            margin-right: 10px;
            width: 20px;
            opacity: 1;
        }

        /*.sidebar-wrapper > .sidebar-mainmenu .sidebar-submenu {
            margin-left: 15px;
        }*/
        
        .sidebar-wrapper > .sidebar-mainmenu .sidebar-submenu li {
            /* border-color: #fff; */
            /* background: #eaeaea; */
        }

        .sidebar-footer {
            bottom: 0;
            height: 60px;
            position: fixed;
            width: 310px;
            padding: .5rem 0;
            text-align: center;
        }

        #sidebar > #logout {
            position: fixed;
            bottom: 5px;
            transform: translateX(115px);   
        }

/* NAVBAR */
/* 
    .navbar.bg-dark {
        background-color: #003581 !important;
    }

    .navbar.bg-light {
        background-color: #003581 !important;
    }
 */
    .navbar .navbar-text {
        margin-left: 15px;
    }
    
    .navbar .navbar-nav li {
        margin-left: 5px;
    }
    
    .navbar .navbar-nav li.dropdown .dropdown-menu {
        left: auto;
        right: 0;
        position: absolute;
    }
    .navbar .navbar-nav li.dropdown .dropdown-menu .dropdown-item i{
        margin-right: 10px;
        width: 20px;
        text-align: center;
    }
    
    #zg-top-nav .navbar-nav li[zg-btn-id=menu_btns] {
        display: none;
    }

/* PAGE CONTENT */
    
    #content {
        width: 100%;
        transition: all ease-in-out .15s;
    }
    
    #content > .container {
        padding-top: 2rem;
        padding-bottom: 1em;
    }
    
    
    .navbar .navbar-brand img {
        height: 50px;
    }
    
    .table {
        font-size: .9em;
        height: .8vh;
        width: 100% !important;
    }
    
    .table th,
    .table td {
        vertical-align: middle;
    }

/* FORM */

    .custom-radio-label-lg:before,
    .custom-radio-label-lg:after {
        top: 0rem;
        width: 1.5rem;
        height: 1.5rem;
    }

    .form-control {
        border-radius: 0;
        border: 0;
        border-bottom: 1px solid #ced4da;
    }

    .form-control:focus {
        border-bottom: 2px solid #003581;
        box-shadow: none;
    }

    .input-group>.input-group-append>.btn {
        border-radius: 0;
    }

    .form-control-label {
        font-size: .85rem;
    }

/* MODAL */
    
    .modal .modal-dialog .modal-header,
    .modal .modal-dialog .modal-footer {
        padding: .5rem 1rem;
    }
    
    .modal .modal-dialog .modal-body .form .form-group {
        margin-bottom: .5rem;
    }
    .modal .modal-dialog .modal-body .form .form-group .form-control ,
    .modal .modal-dialog .modal-body .form .form-group .input-group-append .btn ,
    .modal .modal-dialog .modal-body .form .form-group .col-form-label {
        font-size: .9rem;
    }

/* TOAST */
        
    .toast-success {
        background-color: #28a745!important;
    }
    .toast-info {
        background-color: #17a2b8!important;
    }
    .toast-warning {
        background-color: #ffc107!important;
    }
    .toast-error {
        background-color: #dc3545!important;
    }

    .toast .toast-title,
    .toast .toast-message {
        font-size: 1rem;
    }

    .toast-warning .toast-title,
    .toast-warning .toast-message {
        color: #000 !important
    }
    .toast-warning .toast-close-button {
        color: #000;
        -webkit-text-shadow: 0 1px 0 #000;
        text-shadow: 0 1px 0 #000;
    }


/* RESPONSIVE */
        
    @media only screen and (max-width: 991px) {
        
        .table {
            overflow-x: auto;
            display: block;
            height: auto;
        }
        
    }

    /* TABLET */
        
        @media only screen and (max-width: 1024px) {
            
            /* NAVBAR */
                                
                .navbar #sidebarCollapseNav {
                    display: block;
                }
                
        }

        @media only screen and (max-width: 768px) {
         
            /* NAVBAR */
                
                .navbar .navbar-nav {}
       
                
                #zg-top-nav .navbar-nav > a {
                    display: none;
                }

                #zg-top-nav .navbar-nav > li[zg-btn-id=menu_btns] {
                    display: block;
                }
            
        }
        
    /* MOVIL */
    
        @media only screen and (max-width: 419px) {
         
            /* NAVBAR */
                
                .navbar .navbar-nav {
                    margin-left: 0 !important;
                    margin-right: auto !important;
                }

                .navbar .navbar-nav li.dropdown .dropdown-menu {
                    left: 0;
                    right: auto;
                }
                         
            
            /* CONTENT */

                #content > .container-fluid.px-5 {
                    padding-left: 1.5em!important;
                    padding-right: 1.5em!important;
                }
        
        }
        

/* SCROLLBAR */
    
    ::-webkit-scrollbar {
        height: 5px;
        width: 5px;
    }
    
    ::-webkit-scrollbar-thumb {
        background: #003581;
        border-radius: 10px;
    }
    ::-webkit-scrollbar-track {
        background: #d4d4d4;
    }